Canvas5ImageInternal::Stroke Struct Reference

Internal: the stroke style of a Canvas5Image. More...

## Public Member Functions
| Stroke ()
| constructor

## Public Attributes
unsigned | m_type
| the type
long | m_penPos
| the pen id
long | m_dashPos
| the dash id
long | m_arrowPos [2]
| the arrow id (beg/end)

## Detailed Description

Internal: the stroke style of a Canvas5Image.

## Constructor & Destructor Documentation

## ◆ Stroke()

Canvas5ImageInternal::Stroke::Stroke | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_arrowPos

long Canvas5ImageInternal::Stroke::m_arrowPos[2]

the arrow id (beg/end)

Referenced by Canvas5Image::readVKFLShapeOtherData(), and Stroke().

## ◆ m_dashPos

long Canvas5ImageInternal::Stroke::m_dashPos

the dash id

Referenced by Canvas5Image::readVKFLShapeOtherData(), and Stroke().

## ◆ m_penPos

long Canvas5ImageInternal::Stroke::m_penPos

the pen id

Referenced by Canvas5Image::readVKFLShapeOtherData(), and Stroke().

## ◆ m_type

unsigned Canvas5ImageInternal::Stroke::m_type

the type

Referenced by Canvas5Image::readVKFLShapeOtherData(), and Stroke().

The documentation for this struct was generated from the following file:

- Canvas5Image.cxx